Page MenuHomePhabricator

Upgrade Bugzilla to 4.2
Closed, ResolvedPublic

Description

Bugzilla's JSON-RPC service doesn't return all details of products in 4.0; in 4.2 this is extended to include, for instance, the set of components you can file against, which is needed for clients to file bugs with.

http://www.bugzilla.org/docs/tip/en/html/api/Bugzilla/WebService/Product.html#get

Would be nice to have. :)


Version: unspecified
Severity: enhancement
URL: https://bugzillaupdate.wordpress.com/

Details

Reference
bz33158

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:04 AM
bzimport added a project: Wikimedia-Bugzilla.
bzimport set Reference to bz33158.
brion created this task.Dec 15 2011, 8:47 AM

4.2rc1 is out, might be time to consider testing. :)

http://www.bugzilla.org/releases/4.2/

We are still on 4.0.6 but latest old stable and have fixed the recent XSS in May.

Not quite 4.2 yet i know, but Debian dropped the package meanwhile:

http://packages.qa.debian.org/b/bugzilla.html

.. but hexmode and Faidon are on this, yay:)

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=669643

so please stand by and it will be better than ever

Thehelpfulonewiki wrote:

Reset assignee per bug 37789

sumanah wrote:

Other good things about Bugzilla 4.2: https://globau.wordpress.com/2012/07/13/bugzilla-4-2-whats-new-searching/

especially:

"improved custom search builder

the custom search builder on the advanced search tab has been improved; it’s now easier and quicker to construct queries."

well, better off to 4.2.2. the best so far.

sumanah wrote:

(In reply to comment #6)

Not quite 4.2 yet i know, but Debian dropped the package meanwhile:
http://packages.qa.debian.org/b/bugzilla.html
.. but hexmode and Faidon are on this, yay:)
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=669643
so please stand by and it will be better than ever

CC'ing Mark & Faidon. Thanks for volunteering to package Bugzilla for Debian! Is that stalled, progressing, other? :-)

Faidon isn't really working on it -- he is just reviewing my work. I don't have time to work on this during the week and haven't had time in the past couple of weekends. I'll try to get something done this w/e and update the ticket.

For the Bugzilla 4.2 series (tested on a 4.2.1 installation), "FILTER url_quote", which is deprecated/no longer exists, needs to be swapped to "FILTER uri" in the following files, as per https://bugzilla.mozilla.org/show_bug.cgi?id=679096:

http://svn.wikimedia.org/svnroot/mediawiki/trunk/tools/bugzilla/bugzilla-4.0/template/en/custom/global/site-navigation.html.tmpl
http://svn.wikimedia.org/svnroot/mediawiki/trunk/tools/bugzilla/bugzilla-4.0/template/en/custom/global/search-links.html.tmpl
http://svn.wikimedia.org/svnroot/mediawiki/trunk/tools/bugzilla/bugzilla-4.0/template/en/custom/global/user-links.html.tmpl

This is, of course, assuming that the files in SVN are the most up-to-date ones and actually used.
Without that simple change on those three files, Bugzilla will die with an "internal error" and an error message similar to this:

Template->process() failed twice.
First error: undef error - url_quote: filter not found
Second error: undef error - url_quote: filter not found

...and 4.4 will provide a better way to receive bugmail for any changes in a specific component by disclosing the default CC list of a component on describecomponents.cgi: https://bugzilla.mozilla.org/show_bug.cgi?id=365705
If each component had an account like "product-component-all-bugs@foo.xyz" in its default CC list, people can add such accounts to their "User Watching" list on /userprefs.cgi?tab=email.
This is my usual workaround as long as https://bugzilla.mozilla.org/show_bug.cgi?id=278455 and https://bugzilla.mozilla.org/show_bug.cgi?id=76794 are not fixed.

Now who could I bribe with a few drinks to upgrade WMF BZ? ;)

Ignore my last comment.

(In reply to comment #13)

This is my usual workaround

Just realized that https://bugzilla.mozilla.org/show_bug.cgi?id=634531 provides an extension for exactly this functionality, as described in bug 37105. Sigh.

4.2 release notes (incl. dependency version bumps and comments with regard to customization and extensions): http://www.bugzilla.org/releases/4.2.3/release-notes.html

Our customizations (no idea if this is really up-to-date): http://svn.wikimedia.org/viewvc/mediawiki/trunk/tools/bugzilla/

No official 4.2 Bugzilla packages are available for Ubuntu Precise, only from an untrusted archive: https://launchpad.net/~tamersaadeh/+archive/bugzilla

Note to myself: While upgrading (bugmail disabled):

Dzahn added a comment.Dec 4 2012, 8:12 PM

Meanwhile we run Bugzilla version 4.2.4 :)